/*!
 * Mydatakeeper CSS
 * Copyright 2019 Mydatakeeper S.A.S.
 * Licensed under GPL3
 */

// Define font family
@font-face {
  font-family: TimeBurner;
  src: url('/font/timeburnernormal.ttf');
  font-weight: normal;
}
@font-face {
  font-family: TimeBurner;
  src: url('/font/timeburnerbold.ttf');
  font-weight: bold;
}

// Do not support anything smaller than 280px width.
html {
    min-width: 280px;
}

.timeburner {
    font-family: TimeBurner;
}

// Generic helptip style
.helptip {
    text-align: center;
    border-radius: 50%;
    width: 24px;
    height: 24px;
    font-size: 14px;
    line-height: 26px;
    padding: 0px;
    margin: 7px 12px;
    cursor: default;
}

.helptip:before {
    content:'?';
    font-weight: bold;
}

// Generic dropdown style (works without JS)
.dropdown .dropdown-toggle:focus + .dropdown-menu {
    display: inherit;
}

// Lang dropdown style
.header-lang .dropdown-menu{
    min-width: auto;
}

// Title must not look like a link
.header-title a {
    color: $gray-900;
    text-decoration: none;
}

// Fix login error size so that login page is always the same size
.flash-message {
    text-align: center;
    min-height: 50px;
    margin-bottom: 1em;
}


// Set number of columns based on breakpoints
.card-columns.small-cards {
    column-count: 3;
}

@include media-breakpoint-up(sm) {
    .card-columns {
        column-count: 1;
        &.small-cards {
            column-count: 4;
        }
    }
}

@include media-breakpoint-up(md) {
    .card-columns.small-cards {
        column-count: 6;
    }
}

@include media-breakpoint-up(lg) {
    .card-columns {
        column-count: 2;
        &.small-cards {
        column-count: 8;

        }
        column-gap: 50px;
    }
}

// Application card style
.card {
    &.app {
        width: 175px;
    }

    .card-header {
        .card-img-top {
            width: 40px;
        }
        h5 {
            display: inline;
        }
    }
    .card-body {
        .card-title {
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
        }

        .row.advanced {
            display: none;
        }
        .advanced {
            .row.advanced {
                display: flex;
            }
        }
        .row.missing-dependency {
            display: none !important;
        }
        .row {
            > .col {
                .helptip {
                    margin: 0;
                }
            }
            .col {
                &:last-child {
                    min-width: 32px;
                    max-width: max-content;
                    padding: 6px 8px 6px 0;
                }
                .helptip {
                    margin: 0;
                    line-height: 22px;

                    [title=""]:not([data-original-title]),
                    [title=""][data-original-title=""] {
                        display: none;
                    }
                }
                input[type=text],
                input[type=password],
                select,
                textarea {
                    width: 100%;
                }
                input[type=checkbox],
                input[type=radio] {
                    width: auto;
                }
                input[readonly],
                input[disabled],
                select[readonly],
                select[disabled] {
                  width: auto;
                  -webkit-appearance: none;
                  -moz-appearance: none;
                  color: $input-color;
                  background-color: inherit !important;
                  border: none;
                  font-size: 1em;
                }

                input[readonly] + span {
                  cursor: default;
                }

                input[readonly] + span:after {
                  background-color: $btn-link-disabled-color;
                  box-shadow: 0 0;
                }
            }
        }
    }
    .card-footer {
        .text-muted:not(:first-child):before {
            content: '-';
        }
    }
}

// New card style
#__newcard .card-body > div {
    width:100px;
    height: 100px;
}

#__newcard .card-body > div p {
    line-height: 98px;
    font-size: -webkit-xxx-large;
    font-size: -moz-xxx-large;
    font-size: -ms-xxx-large;
    font-size: xxx-large;
}

// Footer style
footer div > span:not(:first-child):before {
    content:' - ';
}
